psychopy.org | Reference | Downloads | Github

Cannot Launch the experiment


#1

URL of experiment: https://pavlovia.org/run/mmolet/mee/html/

Description of the problem: White screen and nothing happens though it seems that everything is loaded properly. Trivially, it works on my desktop (no problem).

Any suggestion to debug this?
Many thanks in advance


#2

When I attempt to run the task, I press F12 to run the browers developer tools and use the debugger. One problem was that the JavaScript file did not exist. This usually occurs when the JavaScript filename does not match the psyexp (PsychoPy) filename. This occurs when the experiment name in Experiment Settings has been changed, and is different from the psyexp filename. Try making your experiment name in Experiment Settings match the psyexp filename, then resync your experiment and start again.

By the way, this will be fixed in the next release of PsychoPy - see GitHub link below:


#3

Hi dvbridges and thanks for your message, I followed your suggestions and it did not make any difference. Anything else I could do?


#4

Ok have you had any error messsages when syncing your experiment? Also, can I take a look at your psyexp file please?


#5

At the moment, when I try to click on the icon “sync with web project”, and name the project to click on the “create project on Pavlovia”: nothing happens. I don’t mind that you take a look at my psyexp file, how would you like to proceed?


#6

Ok sounds like a problem with how your project is being created. There must be an error being output. First try this, compile your script to Coder so the Coder window is open. Try syncing again, and check Coders output window for an error.

If no error and if its not too large can you just put all of your files in a zip folder and share? Send via direct message if you wish.


#7

thanks again for your help, here is what happened :

Welcome to PsychoPy3!
v3.0.5
226.7486 WARNING We found a repository pointing to https://gitlab.pavlovia.org/mmolet/affect_mee.git but no project was found there (deleted?)
Traceback (most recent call last):
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/gitlab/exceptions.py”, line 251, in wrapped_f
return f(*args, **kwargs)
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/gitlab/mixins.py”, line 204, in create
**kwargs)
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/gitlab/init.py”, line 604, in http_post
post_data=post_data, files=files, **kwargs)
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/gitlab/init.py”, line 510, in http_request
response_body=result.content)
gitlab.exceptions.GitlabHttpError: 400: {‘base’: [‘There is already a repository with that name on disk’, ‘uncaught throw :abort’], ‘limit_reached’: []}

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/psychopy/app/pavlovia_ui/project.py”, line 146, in submitChanges
namespace=namespace)
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/psychopy/projects/pavlovia.py”, line 329, in createProject
raise e
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/psychopy/projects/pavlovia.py”, line 324, in createProject
gitlabProj = self.gitlab.projects.create(projDict)
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/gitlab/exceptions.py”, line 253, in wrapped_f
raise error(e.error_message, e.response_code, e.response_body)
gitlab.exceptions.GitlabCreateError: 400: {‘base’: [‘There is already a repository with that name on disk’, ‘uncaught throw :abort’], ‘limit_reached’: []}
234.4354 ERROR Failed to recreate project to sync with


#8

I think you will be better off starting again with your project. So, delete the .git folder first. The hidden .git folder must be deleted for this to work. If you cannot see it, you need to change your folder options to make hidden files and folders visible. Then, if you can and do not have any data saved online, go to Pavlovia and delete the project.

Now, after you have done this, close PsychoPy and reopen, sync the project again, and create it with a different name just to be sure.


#9

could you please tell me where I can find the following: the .git folder first and the hidden .git folder?


#10

They are the same thing - you should find one .git folder in the main parent directory of your experiment folder i.e., the folder where your PsychoPy .psyexp file is. If you cannot see it, it is hidden, so follow these instructions to make those hidden files visible:

In short, I think you just need to push CMD + SHIFT + . in your Finder


#11

OK, here is what I get now:

Welcome to PsychoPy3!
v3.0.5
Traceback (most recent call last):
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/psychopy/app/coder/coder.py”, line 2676, in onPavloviaSync
self.project = pavlovia.getProject(self.currentDoc.filename)
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/psychopy/projects/pavlovia.py”, line 1091, in getProject
repo=localRepo)
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/psychopy/projects/pavlovia.py”, line 346, in getProject
return PavloviaProject(id, repo=repo)
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/psychopy/projects/pavlovia.py”, line 486, in init
self.pavlovia = currentSession.gitlab.projects.get(proj)
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/gitlab/exceptions.py”, line 251, in wrapped_f
return f(*args, **kwargs)
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/gitlab/mixins.py”, line 49, in get
server_data = self.gitlab.http_get(path, **kwargs)
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/gitlab/init.py”, line 532, in http_get
streamed=streamed, **kwargs)
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/gitlab/init.py”, line 506, in http_request
response_body=result.content)
gitlab.exceptions.GitlabAuthenticationError: 401: 401 Unauthorized


#12

Can you try syncing your project from Builder?


#13

I clicked on the button and nothing visible happened, however an html has been added to my main folder containing the program.psyexp, and material for the study


#14

Did you keep Coder open so we can see the errors that could have been output? If not, please send me the files and I can just a quick check to make sure everything is ok. I will try to create a project on Pavlovia, and if I have success, then at least we know that everything is working ok.


#15

This resolved the original issue.